@use 'sass/mixin';
@use 'sass/size';
@use 'sass/color';

@mixin pill-button {
  box-sizing: border-box;
  margin: 0 0.5 * size.$gap;
  min-width: 6rem;
  border: none;
  border-radius: size.$round-border-radius;
  text-transform: uppercase;
  font-size: 0.7em;
  &:disabled {
    background-color: grey;
  }
}

.light-icon-button {
  @include mixin.center-items;
  color: color.$light-text;
  border-radius: size.$border-radius;
}

.icon-button {
  @include mixin.center-items;
  color: color.$text;
  border-radius: size.$border-radius;
}

.light-pill-button {
  @include pill-button;
  color: color.$light-text;
  background-color: color.$mat-light-blue;
}

.no-text-transform-pill-button {
  @include pill-button;
  text-transform: none;
  color: color.$light-text;
  background-color: color.$mat-blue;
  height: 24px;
}

.pill-button {
  @include pill-button;
  color: color.$light-text;
  background-color: color.$mat-blue;
}

.light-stroked-pill-button {
  @include pill-button;
  color: color.$light-text;
  background-color: color.$mat-light-blue;
  border: color.$mat-light-blue solid size.$border-width;
}

.stroked-pill-button {
  @include pill-button;
  color: color.$light-text;
  background-color: color.$mat-blue;
  border: color.$mat-light-blue solid size.$border-width;
}

.large-icon {
  width: size.$large-icon;
  height: size.$large-icon;
  font-size: size.$large-icon;
}
